Archived:Compatibility Issues with Volume License Manager 2.1 and License Manager 4.0

Updated Aug 27, 2018

National Instruments does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Software

  • Volume License Manager 2.1
  • NI License Manager
  • LabVIEW
  • DIAdem

Operating System

  • Windows

Issue Details

I run Volume License Manager (VLM) version 2.1 and License Manager (LM) version 4.0, and it looks like the programs do not communicate very well. My colleagues have troubles getting a license for DIAdem 2017 even though they have been assigned one in VLM. In addition, when I start LabVIEW 2017 or DIAdem 2017 it does not show in NI License manager. 
 

Solution

One known cause of your what you are experiencing is compatibility issues. VLM 2.1 was released in July 2007, nearly 11 years prior to the release of. LM 4.0, LabVIEW 2017, and DIAdem 2017. Therefore, your problems are likely to be resolved by upgrading VLM to 3.1.




 

WAS THIS ARTICLE HELPFUL?

Not Helpful